Index: src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java	(revision 18)
+++ src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java	(revision 19)
@@ -76,13 +76,18 @@
     /**
      * Returns List of Groups.
-     * 
-     * @param person
-     * @return
-     */
-    public List<Group> getGroups(String uriQuery) {
+     * Key has to be indexed.
+     * 
+     * @param key
+     * @param query
+     * @return
+     */
+    public List<Group> getGroups(String key, String query) {
         ArrayList<Group> groups = new ArrayList<Group>();
         Index<Node> idx = getNodeIndex(NodeTypes.GROUP);
-        if (uriQuery == null) uriQuery = "*";
-        IndexHits<Node> groupNodes = idx.get("uri", uriQuery);
+        if (key == null) {
+            key = "uri";
+            query = "*";
+        }
+        IndexHits<Node> groupNodes = idx.query(key, query);
         for (Node groupNode : groupNodes) {
             Actor group = createActorFromNode(groupNode);
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotationStoreGroups.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotationStoreGroups.java	(revision 18)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotationStoreGroups.java	(revision 19)
@@ -35,27 +35,26 @@
         String id = (String) getRequest().getAttributes().get("id");
         logger.debug("group-id=" + id);
-        String retString="<html><body>\n<h1>Groups</h1>\n<table>";
+        String result="<html><body>\n<h1>Groups</h1>\n<table>";
+        result += "<tr><th>id</th><th>name</th><th>uri</th></tr>";
         store = getAnnotationStore();
         if (id == null) {
             // list all groups
-            List<Group> groups = store.getGroups("*");
+            List<Group> groups = store.getGroups("uri", "*");
             for (Group group : groups) {
-                retString += String.format("<tr><td>uri=%s</td></tr>\n", group.getUri());
+                String groupLink = group.getId();
+                result += String.format("<tr><td><a href=\"%s\">%s</a></td><td>%s</td><td>%s</td></tr>\n", groupLink, group.getId(), group.getName(), group.getUri());
             }
             
         }
-        retString += "</table>\n</body>\n</html>";
+        result += "</table>\n</body>\n</html>";
         
         logger.debug("sending:");
-        logger.debug(retString);
-        return new StringRepresentation(retString,MediaType.TEXT_HTML);
+        logger.debug(result);
+        return new StringRepresentation(result,MediaType.TEXT_HTML);
     }
 
     protected AnnotationStore getAnnotationStore() {
         if (store == null) {
-            ServletContext sc = (ServletContext) getContext().getServerDispatcher().getContext().getAttributes()
-                    .get("org.restlet.ext.servlet.ServletContext");
-            logger.debug("Getting AnnotationStore from Context");
-            store = (AnnotationStore) sc.getAttribute(BaseRestlet.ANNSTORE_KEY);
+            store = ((BaseRestlet) getApplication()).getAnnotationStore();
         }
         return store;
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 18)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 19)
@@ -16,6 +16,4 @@
 import java.util.regex.Pattern;
 
-import javax.servlet.ServletContext;
-
 import net.oauth.jsontoken.Checker;
 import net.oauth.jsontoken.JsonToken;
@@ -38,7 +36,7 @@
 import de.mpiwg.itgroup.annotations.Actor;
 import de.mpiwg.itgroup.annotations.Annotation;
-import de.mpiwg.itgroup.annotations.NS;
 import de.mpiwg.itgroup.annotations.Annotation.FragmentTypes;
 import de.mpiwg.itgroup.annotations.Group;
+import de.mpiwg.itgroup.annotations.NS;
 import de.mpiwg.itgroup.annotations.Person;
 import de.mpiwg.itgroup.annotations.neo4j.AnnotationStore;
@@ -62,8 +60,5 @@
     protected AnnotationStore getAnnotationStore() {
         if (store == null) {
-            ServletContext sc = (ServletContext) getContext().getServerDispatcher().getContext().getAttributes()
-                    .get("org.restlet.ext.servlet.ServletContext");
-            logger.debug("Getting AnnotationStore from Context");
-            store = (AnnotationStore) sc.getAttribute(BaseRestlet.ANNSTORE_KEY);
+            store = ((BaseRestlet) getApplication()).getAnnotationStore();
         }
         return store;
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 18)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/BaseRestlet.java	(revision 19)
@@ -166,4 +166,11 @@
 
     /**
+     * @return the store
+     */
+    public AnnotationStore getAnnotationStore() {
+        return store;
+    }
+
+    /**
      * returns consumer secret for consumer key. returns null if consumer key
      * doesn't exist.
